Name: tendrl-ui
Version: 1.6.3
Release: 17%{?dist}
BuildArch: noarch
Summary: GUI for Tendrl
License: LGPLv2+
Group:   Applications/System
Source0: %{name}-%{version}.tar.gz
URL: https://github.com/Tendrl/ui

Requires: tendrl-api-httpd

%description
Contains the JavaScript GUI content for the Tendrl front-end components
(dashboard, login screens, administration screens)

%prep
%setup

%install
install -m 755 -d $RPM_BUILD_ROOT/%{_localstatedir}/www/tendrl
cp -r ./dist/* $RPM_BUILD_ROOT/%{_localstatedir}/www/tendrl/

%clean
echo "clean"
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%{_localstatedir}/www/tendrl/
%doc ./docs/*

%changelog
* Tue Oct 22 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-17
- Fixed bugs: 1763683
- Release tendrl-ui 1.6.3-17

* Wed Jul 31 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-16
- Fixed bugs: 1733849
- Release tendrl-ui 1.6.3-16

* Fri Feb 08 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-15
- Fixed bugs: 1668900
- Release tendrl-ui 1.6.3-15

* Fri Nov 23 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-14
- Fixed bugs: 1627988
- Release tendrl-ui 1.6.3-14

* Fri Nov 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-13
- Fixed bugs: 1627988
- Release tendrl-ui 1.6.3-13

* Mon Nov 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-12
- Fixed bugs: 1599291, 1610668, 1611991, 1627651, 1627988, 1629520, 1590416
- Release tendrl-ui 1.6.3-12

* Fri Aug 17 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-11
- Fixed bugs: 1610913
- Release tendrl-ui 1.6.3-11

* Tue Aug 14 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-10
- Fixed bugs: 1594994, 1596655, 1610266
- Release tendrl-ui 1.6.3-10

* Mon Jul 30 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-9
- Fixed bugs: 1596655
- Release tendrl-ui 1.6.3-9

* Tue Jul 17 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-8
- Fixed bugs: 1577938
- Release tendrl-ui 1.6.3-8

* Mon Jul 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-7
- Fixed bugs: 1559390,1594994,1594762
- Release tendrl-ui 1.6.3-7

* Fri Jul 06 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-6
- Fixed bugs: 1580509
- Release tendrl-ui 1.6.3-6

* Fri Jul 06 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-5
- Fixed bugs: 1559390,1584660,1597235,1580509,1594862,1579148,1590201,1597235
- Release tendrl-ui 1.6.3-5

* Mon Jun 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-4
- Fixed bugs: 1516135,1577938,1582465,1585715,1586074,1588650
- Release tendrl-ui 1.6.3-4

* Fri Jun 01 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-3
- Fixed bugs: 1578333,1577938,1581212,1559390,1579150,1579148,1579152
- Release tendrl-ui 1.6.3-3

* Thu May 17 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-2
- Fixed bugs: 1574942
- Release tendrl-ui 1.6.3-2

* Thu Apr 19 2018 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.6.3-1
- Release tendrl-ui 1.6.3-1

* Mon Apr 02 2018 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.6.1-3
- Fixed bugs: 1559373, 1559379, 1559396, 1559401, 1559402
- Release tendrl-ui 1.6.1-3

* Tue Mar 27 2018 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.6.1-2
- Fixed bugs: 1516417
- Release tendrl-ui 1.6.1-2

* Fri Mar 09 2018 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.6.1-1
- Release tendrl-ui 1.6.1-1

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-ui 1.5.4-6

* Fri Dec 01 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-ui 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-ui 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-ui 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-ui 1.5.4-2

* Fri Nov 03 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-1
- Release tendrl-ui 1.5.4-1

* Fri Oct 13 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-2
- Release tendrl-ui 1.5.3-2

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-ui 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.5
- Release tendrl-dashboard 3.0-alpha.5

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-dashboard 3.0-alpha.4

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.3
- Release tendrl-dashboard 3.0-alpha.3

* Fri May 26 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-dashboard 3.0-alpha.2

* Wed May 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.1
- Release tendrl-dashboard 3.0-alpha.1

* Fri May 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-dashboard 3.0-alpha

* Thu Nov 10 2016 <kchidamb@redhat.com> 0.0.1-1
- Initial Commit
